import React from "react";
import { Checkbox } from "antd";

import useDesignState from '@/component/edit-engine/Hooks/design-state'

const NextPage = (props) => {
  const { onChangeKeyArr } = useDesignState(props);
  return (
    <div className="form-edit_box">
      <div className="edit-box_item eidt-box_title" style={{margin: '0 15px'}}>
        <div className="box-item_label">分页按钮:</div>
        <Checkbox.Group
          value={props.data.fieldOption.nextPageBtn}
          onChange={(e) => {
            onChangeKeyArr(["fieldOption", "nextPageBtn"], e);
          }}
        >
          <Checkbox value="prev">上一页</Checkbox>
          <Checkbox value="next">下一页</Checkbox>
          <Checkbox value="submit">提交</Checkbox>
        </Checkbox.Group>
      </div>
    </div>
  );
};

export default NextPage

