const codeStr = `
                import React from 'react';
                import { Form, Col, Row } from 'antd' 
                var data = {};
                const FormBuilder = React.forwardRef((props,ref) => {
                    const [form] = Form.useForm()
                        React.useImperativeHandle(ref, () => ({
                            form
                        }))
                    return (
                        <div className="visual-form">
                            <Form form={form}>
                                <Row></Row> 
                            </Form>
                        </div>
                    )
                });
                export default FormBuilder`

module.exports = {
    formCodeStr: codeStr
}
