import React from 'react'

import Icon from '@/component/edit-engine/component/iconfont/icon'

const DragHeader = (props) => {
    const { data = {} } = props

    return (
        <div className="move-header">
            <div className="move-opt">
                {props.disablePage ? (
                    ''
                ) : (
                    <div
                        className="opt-remove opt-btn"
                        onClick={(e) => {
                            e.stopPropagation()
                            props.optChange('remove', data)
                        }}
                    >
                        <Icon name="icon-shanchu" />
                        删除
                    </div>
                )}
            </div>
        </div>
    )
}

export default DragHeader
