import React from "react";
import { Form, Col, Row } from "antd";
import Checkbox from "@/materiel/checkbox/view";
import Input from "@/materiel/input/view";
var Datakotryzv4 = {
  viewPath: "/materiel/demo/view",
  fieldType: "Demo33",
  fieldLabel: "\u8F93\u5165\u6846\u5355\u884Caabb",
  fieldOrder: 0,
  fieldKey: "kotryzv4",
  fieldRequired: true,
  showEdit: false,
  fieldDesc: "\u9898\u76EE3",
  fieldTypeName: "\u8F93\u5165\u6846\u5355\u884C",
  fieldProperties: {
    titleColor: "",
    titleSize: 16,
    showType: false
  },
  colProps: {
    span: 24,
    offset: 0,
    push: 0,
    pull: 0
  },
  fieldOption: {
    type: "any"
  }
};
var Datakotryznk = {
  viewPath: "/materiel/checkbox/view",
  fieldType: "Checkbox",
  fieldLabel: "\u591A\u9009",
  fieldKey: "kotryznk",
  fieldRequired: true,
  fieldDesc: "\u9898\u76EE2",
  fieldTypeName: "\u591A\u9009",
  formParams: {
    field: "",
    extra: "",
    defaultValue: "[]",
    disabled: false,
    isCheckAll: true,
    fieldRequired: true
  },
  designParams: {
    optionsSourceType: "static",
    optionsSourceName: ""
  },
  colProps: {
    span: 24,
    offset: 0,
    push: 0,
    pull: 0
  },
  optionsConfig: {
    url: "/",
    method: "get",
    field: "value",
    params: "{}",
    listName: "list"
  },
  fieldProperties: {
    titleColor: "",
    titleSize: 16,
    showType: false
  },
  fieldOption: [
    {
      label: "\u9009\u98791",
      value: "\u9009\u98791",
      fieldKey: "kotryznl"
    },
    {
      label: "\u9009\u98792",
      value: "\u9009\u98792",
      fieldKey: "kotryznm"
    }
  ]
};
var Datakotryz9d = {
  viewPath: "/materiel/input/view",
  fieldType: "Input",
  fieldLabel: "\u5355\u884C\u6587\u672C",
  fieldOrder: 0,
  fieldKey: "kotryz9d",
  fieldRequired: true,
  fieldDesc: "\u9898\u76EE1",
  fieldTypeName: "\u5355\u884C\u6587\u672C",
  formParams: {
    field: "",
    extra: "",
    defaultValue: "",
    placeholder: "\u8BF7\u8F93\u5165",
    maxLength: "null",
    disabled: false
  },
  designParams: {},
  colProps: {
    span: 24,
    offset: 0,
    push: 0,
    pull: 0
  },
  fieldProperties: {
    titleColor: "",
    titleSize: 16,
    showType: false
  },
  fieldOption: {
    type: "any",
    checkReg: "",
    errorTip: "\u8BF7\u586B\u5199"
  }
};
var formLayout = {
  labelCol: {},
  wrapperCol: {},
  layout: "vertical"
};
const FormBuilder = React.forwardRef((props, ref) => {
  const [form] = Form.useForm();
  React.useImperativeHandle(ref, () => ({
    form
  }));
  return (
    <div className="visual-form">
      <Form form={form} {...formLayout}>
        <Row>
          <Col {...Datakotryz9d.colProps}>
            <Input data={Datakotryz9d} form={form} {...props}></Input>
          </Col>
          <Col {...Datakotryznk.colProps}>
            <Checkbox data={Datakotryznk} form={form} {...props}></Checkbox>
          </Col>
        </Row>
      </Form>
    </div>
  );
});
export default FormBuilder;
