import React from 'react'

import { Slider } from 'antd'

export default (props: any) => {
    const { onChangeKeyArr, data } = props
    return (
        <>
            <div style={{margin: '15px 0'}}>
                {/* <div className="box-item_label">栅格布局:</div> */}
                <div className="box-item_children">
                    <div className="item-children_i">
                        <div className="children_label">
                            栅格格数<span className="tip">共24列</span>
                        </div>
                        <Slider
                            max={24}
                            defaultValue={data.colProps.span}
                            onChange={(e) => {
                                onChangeKeyArr(['colProps', 'span'], e)
                            }}
                        />
                    </div>
                    <div className="item-children_i">
                        <div className="children_label">
                            左侧间隔格数
                            <span className="tip">0-24之间</span>
                        </div>
                        <Slider
                            max={24}
                            defaultValue={data.colProps.offset}
                            onChange={(e) => {
                                onChangeKeyArr(['colProps', 'offset'], e)
                            }}
                        />
                    </div>
                    <div className="item-children_i">
                        <div className="children_label">
                            右移格数<span className="tip">0-24之间</span>
                        </div>
                        <Slider
                            max={24}
                            defaultValue={data.colProps.push}
                            onChange={(e) => {
                                onChangeKeyArr(['colProps', 'push'], e)
                            }}
                        />
                    </div>
                    <div className="item-children_i">
                        <div className="children_label">
                            左移格数<span className="tip">0-24之间</span>
                        </div>
                        <Slider
                            max={24}
                            defaultValue={data.colProps.pull}
                            onChange={(e) => {
                                onChangeKeyArr(['colProps', 'pull'], e)
                            }}
                        />
                    </div>
                </div>
            </div>
        </>
    )
}
